{{- if .Values.config.token -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "gitlab-agent.secretName" . }}
  labels:
    {{- include "gitlab-agent.labels" . | nindent 4 }}
data:
  token: {{ .Values.config.token |  b64enc }}
type: Opaque
{{ end }}
